org.apache.hadoop.fs

## Enum FileStatus.AttrFlags

- java.lang.Object
- - java.lang.Enum<FileStatus.AttrFlags>
  - - org.apache.hadoop.fs.FileStatus.AttrFlags

- All Implemented Interfaces:
    Serializable, Comparable<FileStatus.AttrFlags>
  Enclosing class:
    FileStatus

      public static enum FileStatus.AttrFlags
      extends Enum<FileStatus.AttrFlags>

  Flags for entity attributes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HAS_ACL` ACL information available for this entity.
    `HAS_CRYPT` Entity is encrypted.
    `HAS_EC` Entity is stored erasure-coded.
    `SNAPSHOT_ENABLED` Snapshot capability enabled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileStatus.AttrFlags` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileStatus.AttrFlags[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HAS_ACL

          public static final FileStatus.AttrFlags HAS_ACL

      ACL information available for this entity.

    - #### HAS_CRYPT

          public static final FileStatus.AttrFlags HAS_CRYPT

      Entity is encrypted.

    - #### HAS_EC

          public static final FileStatus.AttrFlags HAS_EC

      Entity is stored erasure-coded.

    - #### SNAPSHOT_ENABLED

          public static final FileStatus.AttrFlags SNAPSHOT_ENABLED

      Snapshot capability enabled.

  - ### Method Detail

    - #### values

          public static FileStatus.AttrFlags[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileStatus.AttrFlags c : FileStatus.AttrFlags.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileStatus.AttrFlags valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.